import { type EnvironmentConfiguration } from 'dino-core';
/**
 * Provide the runtime context where for the execution
 */
export declare class RuntimeContext {
    private readonly serverType;
    private readonly cloudProvider;
    private readonly cloudService;
    private readonly environment;
    constructor(environment: EnvironmentConfiguration);
    getEnvironment(): EnvironmentConfiguration;
    isStandalone(): boolean;
    /**
     * Validate if the configuration identifies an embedded runtime, a runtime is embedded
     * if the server is provided from an external sources for instance an AWS lambda or GCP
     * function
     *
     * @returns true if the configuration identifies an embedded runtime, false otherwise
     */
    isEmbedded(): boolean;
    isRunningOnAwsLambda(): boolean;
    isMonitoringEnabled(): boolean;
    isCo2MonitoringEnabled(): boolean;
}
