"use strict";
//    Copyright 2018 Quirino Brizi [quirino.brizi@gmail.com]
//
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
//
//        http://www.apache.org/licenses/LICENSE-2.0
//
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebConfiguration = void 0;
const dino_core_1 = require("dino-core");
const RoutingConfigurer_1 = require("./RoutingConfigurer");
/**
 * Define the configuration structures for the swagger based application routing
 *
 * Application should extend this configuration in order to autoconfigure the express routing.
 *
 * @public
 */
class WebConfiguration extends dino_core_1.Configuration {
    configure() {
        return dino_core_1.ComponentDescriptor.createFromType('routingConfigurer', RoutingConfigurer_1.RoutingConfigurer, dino_core_1.Scope.SINGLETON);
    }
}
exports.WebConfiguration = WebConfiguration;
//# sourceMappingURL=WebConfiguration.js.map