"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationEvent = void 0;
const uuid_1 = require("uuid");
class ApplicationEvent {
    id;
    type;
    timestamp;
    payload;
    constructor(id, type, payload) {
        this.id = id;
        this.type = type;
        this.timestamp = Date.now();
        this.payload = payload;
    }
    addToPayload(info) {
        Object.assign(this.payload, info);
    }
    asObject() {
        return {
            id: this.id,
            type: this.type,
            timestamp: this.timestamp,
            payload: this.payload
        };
    }
    static create(type, payload = {}) {
        return new ApplicationEvent((0, uuid_1.v4)(), type, payload);
    }
}
exports.ApplicationEvent = ApplicationEvent;
//# sourceMappingURL=ApplicationEvent.js.map