import { type Response } from '../../../Response';
import { type EnvironmentConfiguration } from 'dino-core';
import { type NextFunction, type Request } from 'express';
import { BeforeHandlerMiddleware } from '../../before.handler.middleware';
import { type OpenAPI } from 'openapi-types';
export declare class SecurityMiddleware extends BeforeHandlerMiddleware {
    private readonly configuration;
    constructor(environment: EnvironmentConfiguration, _api: OpenAPI.Operation);
    /**
     * Definition of the function that will handle the security business logic associated with this middleware.
     *
     * @param {import('express').Request} req Express request instance
     * @param {import('express').Response} res express response instance
     * @param {Function} next the next function that will be invoked as part of the express chain
     */
    handle(req: Request, _res: Response, next: NextFunction): void;
}
