"use strict";
//    Copyright 2018 Quirino Brizi [quirino.brizi@gmail.com]
//
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
//
//        http://www.apache.org/licenses/LICENSE-2.0
//
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.CachePerformanceMonitor = void 0;
const dino_core_1 = require("dino-core");
class CachePerformanceMonitor extends dino_core_1.Monitor {
    apiName;
    cacheInstance;
    execute() {
        const properties = new Map();
        const performances = this.cacheInstance.getPerformance()[0];
        // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
        Object.keys(this.cacheInstance.getPerformance()[0]).forEach((key) => properties.set(key, performances[key]));
        return dino_core_1.State.from(properties);
    }
    getName() {
        return this.apiName;
    }
    setApiName(apiName) {
        this.apiName = apiName;
        return this;
    }
    setCacheInstance(cacheInstance) {
        this.cacheInstance = cacheInstance;
        return this;
    }
}
exports.CachePerformanceMonitor = CachePerformanceMonitor;
//# sourceMappingURL=cache.performance.monitor.js.map