"use strict";
//    Copyright 2018 Quirino Brizi [quirino.brizi@gmail.com]
//
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
//
//        http://www.apache.org/licenses/LICENSE-2.0
//
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractPolicy = void 0;
class AbstractPolicy {
    /**
     * Execute the policy logic and allow integration with express
     * @param req the client request
     * @param res the client response
     * @param next a callback invoked when the middleware terminates successfully
     *
     * @public
     */
    middleware(req, res, next) {
        this.apply(req) ? next() : this.onDeny(res);
    }
}
exports.AbstractPolicy = AbstractPolicy;
//# sourceMappingURL=AbstractPolicy.js.map