import { type Request } from 'express';
import { type Response } from '../Response';
import { AbstractPolicy } from './AbstractPolicy';
interface Configuration {
    interval: number;
    allow: number;
}
/**
 * Allows to control the number of requests received by the API in the time
 * interval
 */
export declare class RateLimitPolicy extends AbstractPolicy {
    private configuration;
    private readonly buckets;
    constructor();
    apply(req: Request): boolean;
    configure(configuration: Configuration): void;
    protected onDeny(res: Response): void;
}
export {};
